﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>netcoreapp3.0</TargetFramework>
    <CodeAnalysisRuleSet>..\..\root.ruleset</CodeAnalysisRuleSet>
    <RootNamespace>Monosoft.Service.Notification</RootNamespace>
    <ApplicationIcon />
    <StartupObject />
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="ITUtil.Common.Base" Version="2.0.5" />
    <PackageReference Include="ITUtil.Common.Command" Version="2.0.2" />
    <PackageReference Include="ITUtil.Common.Config" Version="2.0.5" />
    <PackageReference Include="ITUtil.Common.Console" Version="2.0.2" />
    <PackageReference Include="ITUtil.Common.RabbitMQ" Version="2.0.2" />
    <PackageReference Include="MailKit" Version="2.2.0" />
    <PackageReference Include="Microsoft.CodeAnalysis.FxCopAnalyzers" Version="2.9.7">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="StyleCop.Analyzers" Version="1.1.118">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
  </ItemGroup>

  <ItemGroup>
    <None Update="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="notification.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>


</Project>
